/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.cache.loader;

import java.util.Properties;
import org.jboss.cache.CacheSPI;
import org.jboss.cache.util.TestingUtil;
import org.jboss.cache.util.TestDbPropertiesFactory;
import org.testng.annotations.Test;

/**
 * Unit test that runs the the tests defined JDBCCacheLoaderTest using a standalone
 * connection pool factory based on c3p0 library.
 *
 * @author <a href="mailto:galder.zamarreno@jboss.com">Galder Zamarreno</a>
 */
@Test(groups = "functional", testName = "loader.JDBCCacheLoaderTest")
public class C3p0JDBCCacheLoaderTest extends JDBCCacheLoaderTest
{
   private static final String CF_CLASS = "org.jboss.cache.loader.C3p0ConnectionFactory";

   protected void configureCache() throws Exception
   {
      Properties prop = TestDbPropertiesFactory.getTestDbProperties();
      prop.put("cache.jdbc.connection.factory", CF_CLASS);
      CacheSPI<Object, Object> cache = cacheTL.get();
      cache.getConfiguration().setCacheLoaderConfig(getSingleCacheLoaderConfig("", "org.jboss.cache.loader.JDBCCacheLoader", prop, false, true, false));
   }
}
