/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.cache.options.cachemodelocal;

import org.jboss.cache.config.Configuration;
import org.jboss.cache.util.TestingUtil;
import org.jboss.cache.commands.ReplicableCommand;
import org.jboss.cache.CacheSPI;
import org.testng.annotations.Test;
import static org.testng.AssertJUnit.assertEquals;
import static org.testng.AssertJUnit.assertNull;

@Test(groups = {"functional", "jgroups"}, testName = "options.cachemodelocal.AsyncReplOptLocksTest")
public class AsyncReplOptLocksTest extends CacheModeLocalTestBase
{
   public AsyncReplOptLocksTest()
   {
      cacheMode = Configuration.CacheMode.REPL_ASYNC;
      nodeLockingScheme = "OPTIMISTIC";
   }

   protected void verifyReplication()
   {
      TestingUtil.sleepThread(500);
   }

   public void testRemoveKey() throws Exception
   {
      super.testRemoveKey();
   }

   public void testPutKeyValue() throws Exception
   {
      super.testPutKeyValue();
   }

   public void testPutKeyValueViaNodeAPI() throws Exception
   {
      super.testPutKeyValueViaNodeAPI();
   }

   public void testPutData() throws Exception
   {
      super.testPutData();
   }

   public void testPutDataViaNodeAPI() throws Exception
   {
      super.testPutDataViaNodeAPI();
   }

   public void testRemoveNode() throws Exception
   {
      super.testRemoveNode();
   }

   public void testRemoveNodeViaNodeAPI() throws Exception
   {
      super.testRemoveNodeViaNodeAPI();
   }

   public void testRemoveKeyViaNodeAPI() throws Exception
   {
      super.testRemoveKeyViaNodeAPI();
   }

   public void testTransactionalBehaviourCommit() throws Exception
   {
      super.testTransactionalBehaviourCommit();
   }

   public void testTransactionalBehaviourRollback() throws Exception
   {
      super.testTransactionalBehaviourRollback();
   }

   public void testTransactionalBehaviourViaNodeAPI() throws Exception
   {
      super.testTransactionalBehaviourViaNodeAPI();
   }

   public void testAddChild() throws Exception
   {
      super.testAddChild();
   }

   protected void registerReplicationCommand(CacheSPI<String, String> cache2, Class<? extends ReplicableCommand> what)
   {
      //do nothing
   }

}
